clear all ; close all ; clc 

load data_boom_1;
data=data(1:20000,:);

t=data(:,1)-data(1,1);          % time
ycdes3=data(:,3);               % desired cylinder length
yc3=data(:,11);                 % measured cylinder length
Us2=data(:,7);                  % valve command voltage
pc3=data(:,17);
pr3=data(:,16);
clear data

subplot(4,1,1)
plot(t,ycdes3,'b--','linewidth',2)
hold on
plot(t,yc3,'r','linewidth',2)
legend('reference','output')
ylabel('boom cyl length [in]')

subplot(4,1,2)
plot(t,pc3,'r','linewidth',2)
legend('cap-side')
ylabel('pressure [psi]')
subplot(4,1,3)
plot(t,pr3,'b','linewidth',2)
legend('rod-side')
ylabel('pressure [psi]')

subplot(4,1,4)
plot(t,Us2,'r','linewidth',2)
ylabel('valve command [V]')
xlabel('time [s]')