% This file plots the throttle valve data

clear all ; close all ; clc 

% plot the boom data
load data_boom_throttle;
data=data(20000:50000,:);

t=data(:,1)-data(1,1);          % time
ycdes3=data(:,3);               % desired cylinder length
yc3=data(:,11);                 % measured cylinder length
Us2=data(:,7);                  % valve command voltage
pc3=data(:,17);
pr3=data(:,16);
clear data

figure
subplot(3,1,1)
plot(t,ycdes3,'b--')
hold on
plot(t,yc3,'r')
legend('reference','output')
ylabel('boom cyl length [in]')
title('Boom cylinder w/throttled backpressure')

subplot(3,1,2)
plot(t,pc3,'r')
hold on
plot(t,pr3,'b')
legend('cap-side','rod-side')
ylabel('pressure [psi]')

subplot(3,1,3)
plot(t,Us2,'r')
ylabel('valve command [V]')
xlabel('time [s]')

% plot the swing data
clear all
load data_swing_throttle;
data=data(6000:45000,:);

t=data(:,1)-data(1,1);          % time
qdes1=data(:,2);               % desired cylinder length
q1=data(:,10);                 % measured cylinder length
Us1=data(:,6);                  % valve command voltage
pc1=data(:,14);
pr1=data(:,15);
clear data

figure
subplot(3,1,1)
plot(t,qdes1*180/pi,'b--')
hold on
plot(t,q1*180/pi,'r')
legend('reference','output')
ylabel('swing angle [deg]')
title('Swing joint w/throttled backpressure')

subplot(3,1,2)
plot(t,pc1,'r')
hold on
plot(t,pr1,'b')
legend('cap-side','rod-side')
ylabel('pressure [psi]')

subplot(3,1,3)
plot(t,Us1,'r')
ylabel('valve command [V]')
xlabel('time [s]')